Package org.python.modules.jffi

## Class Invoker

- java.lang.Object
- - org.python.modules.jffi.Invoker

- Direct Known Subclasses:
    `JITInvoker`

      public abstract class Invoker
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Invoker()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract PyObject` | `invoke()` |
    `abstract PyObject` | `invoke​(PyObject arg1)` |
    `abstract PyObject` | `invoke​(PyObject[] args)` |
    `abstract PyObject` | `invoke​(PyObject arg1, PyObject arg2)` |
    `abstract PyObject` | `invoke​(PyObject arg1, PyObject arg2, PyObject arg3)` |
    `abstract PyObject` | `invoke​(PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4)` |
    `abstract PyObject` | `invoke​(PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4, PyObject arg5)` |
    `abstract PyObject` | `invoke​(PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4, PyObject arg5, PyObject arg6)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Invoker

          public Invoker()

  - ### Method Detail

    - #### invoke

          public abstract PyObject invoke​(PyObject[] args)

    - #### invoke

          public abstract PyObject invoke()

    - #### invoke

          public abstract PyObject invoke​(PyObject arg1)

    - #### invoke

          public abstract PyObject invoke​(PyObject arg1,
                                          PyObject arg2)

    - #### invoke

          public abstract PyObject invoke​(PyObject arg1,
                                          PyObject arg2,
                                          PyObject arg3)

    - #### invoke

          public abstract PyObject invoke​(PyObject arg1,
                                          PyObject arg2,
                                          PyObject arg3,
                                          PyObject arg4)

    - #### invoke

          public abstract PyObject invoke​(PyObject arg1,
                                          PyObject arg2,
                                          PyObject arg3,
                                          PyObject arg4,
                                          PyObject arg5)

    - #### invoke

          public abstract PyObject invoke​(PyObject arg1,
                                          PyObject arg2,
                                          PyObject arg3,
                                          PyObject arg4,
                                          PyObject arg5,
                                          PyObject arg6)